请选择 进入手机版|继续访问电脑版
发新帖

Ubuntu pip 升级到 10.0.1 后的错误

[复制链接]
5153 10

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
Ubuntu16.04 系统 升级 pip 到 10.0.1 后,pip 不能用了,在网上找了好多方法,看到很多人写的修改 /usr/bin 下的 pip 文件,改了也没起作用,也去 github 上看了他们的 issue 照着改了还是不行。请问有人成功解决过这个问题吗?

举报 使用道具

回复

精彩评论10

jmc891205  注册会员  发表于 2018-5-16 17:51:10 | 显示全部楼层
我公司里的实习生问我问题的时候 开场白都是“不好意思 xxx 不能用了 请问怎么解决”。
我也只好每次都浪费时间追问一句 “具体的错误信息是什么”。

举报 使用道具

回复
eccstartup  新手上路  发表于 2018-5-16 18:02:11 | 显示全部楼层
说了错误信息,你又开始问,是不是 xxx 啊?是不是 yyy 啊?
可能 lz 已经排除了 xxx 和 yyy,zzz。。。

举报 使用道具

回复
expy  新手上路  发表于 2018-5-16 18:02:12 | 显示全部楼层
https://github.com/pypa/pip/issues/5221

举报 使用道具

回复
andylsr  新手上路  发表于 2018-5-16 18:41:45 | 显示全部楼层
github 上下载源码,解压后进入文件夹,执行 python setup.py install 命令安装

举报 使用道具

回复
towl  新手上路  发表于 2018-5-16 19:14:26 | 显示全部楼层
你这个问题好像在问,我 windows 不能用了,请问怎么解决啊   一个意思

举报 使用道具

回复
luzhongqiu  注册会员  发表于 2018-5-16 19:27:26 | 显示全部楼层
好奇,为什么要升级 pip

举报 使用道具

回复
twor  新手上路  发表于 2018-5-16 19:35:17 | 显示全部楼层
@luzhongqiu 强迫症吧
我看到了升级提示,每次也都是 pip install pip --upgrade

举报 使用道具

回复
lalal0410  新手上路  发表于 2018-5-16 19:42:14 | 显示全部楼层
@jmc891205
@towl
主要还是第一次在 V2EX 上发帖,太紧张了,居然忘了描述错误信息,不过问题已经解决了,还是 anaconda 好用

举报 使用道具

回复
lalal0410  新手上路  发表于 2018-5-16 19:43:14 | 显示全部楼层
@expy 我按照这个 issue 的解决方法去改了,好像并不能起作用,不过现在已经快乐的用 anaconda 写起了 Python

举报 使用道具

回复
encro  新手上路  发表于 2018-5-16 19:43:45 | 显示全部楼层
Windows 正确做法是:
python -m pip install --upgrade pip
其他系统是:
pip install --upgrade pip

举报 使用道具

回复
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表